### Hardware
- CPU: Intel Core i7-8700 CPU @ 3.20GHz
- GPU: NVIDIA GeForce GTX 1080 Ti
- Mem: 32G

### Software
- Ubuntu 16.04.2 LTS
- CUDA 9.0.176
- gcc/g++ 5.4.0
- Matlab 2017a
- Python 3.6

### Usage
**1.**
```bash
conda create -n vot19 python=3.6
conda activate vot19
cd <path/to/project>
sh install.sh
```
**2.** 
add `/path/to/anaconda2/envs/vot19/lib` to `tracker_linkpath` in `tracker_**.m`
set `set_global_variable('python', 'env -i /path/to/anaconda2/envs/vot19/bin/python');` in `configuration.m`


### Download models
put [atom_default.pth](https://drive.google.com/open?id=1rxsl350wy0iYagtFck5zjTW9Jdo3foNs) under VOT19_submit/networks/pytracking_HJ/pytracking/networks/
put [model.pth](https://drive.google.com/drive/folders/1JB94pZTvB1ZByU-qSJn4ZAIfjLWE5EBJ) under VOT19_submit/networks/pysot/experiments/siamrpn_mobilev2_l234_dwxcorr/

### Others
There are some path changes that you need to make manually.
  1. #project_path/networks/pytracking_HJ/pytracking/evaluation/local.py
  2. Open ~/.bashrc and add "export PYTHONPATH=/path/to/pysot:$PYTHONPATH" the end.
  3. We also put our vot workspace under the project, so you only need to make tiny modification(such as change of path) to test our tracker :)
**If you have any other questions, please contact us. ( yan_bin@mail.dlut.edu.cn; zhaohj1995@gmail.com )**
