# Copyright (c) SenseTime. All Rights Reserved.

from __future__ import absolute_import
from __future__ import division
from __future__ import print_function
from __future__ import unicode_literals


import cv2
import numpy as np
import vot
import sys
import os
from networks.pysot.pysot.utils.bbox import get_axis_aligned_bbox
os.environ['CUDA_VISIBLE_DEVICES'] = '0'
eval_dataset = 'VOT2019'
'''############################################################################'''
from ARTCS import ARTCS_Tracker as tracker
model_name = 'ARTCS'
'''############################################################################'''


tracker = tracker(vot_flag=True)
"""VOT interface"""
handle = vot.VOT("polygon")
gt_bbox = handle.region()
imagefile = handle.frame()
if not imagefile:
    sys.exit(0)
image = cv2.imread(imagefile[20:-2])
if len(gt_bbox) == 4:
    gt_bbox = [gt_bbox[0], gt_bbox[1],
               gt_bbox[0], gt_bbox[1] + gt_bbox[3] - 1,
               gt_bbox[0] + gt_bbox[2] - 1, gt_bbox[1] + gt_bbox[3] - 1,
               gt_bbox[0] + gt_bbox[2] - 1, gt_bbox[1]]
cx, cy, w, h = get_axis_aligned_bbox(np.array(gt_bbox).flatten())
gt_bbox_ = np.array([cx - (w - 1) / 2, cy - (h - 1) / 2, w, h])
tracker.init(image, gt_bbox_)
pred_bbox = gt_bbox_

while True:
    imagefile = handle.frame()
    if not imagefile:
        break
    image = cv2.imread(imagefile[20:-2])
    pred_bbox = tracker.track(image)
    handle.report(pred_bbox)







